package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.model.ConsumeEnergyConfig;
import com.bizmatics.service.ConsumeEnergyConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 能源配置
 *
 * @author ya
 * @since 2021-10-13
 */
@RestController
@RequestMapping("/consumeEnergyConfig")
public class ConsumeEnergyConfigController {

    @Autowired
    private ConsumeEnergyConfigService consumeEnergyConfigService;

    /**
     * 能源配置-列表查询
     *
     * @param siteId
     * @return
     */
    @GetMapping("consumeEnergyConfigList")
    public ApiResult<List<ConsumeEnergyConfig>> consumeEnergyConfigList(@RequestParam int siteId) {
        return ApiResult.success(consumeEnergyConfigService.list(siteId));
    }
}

