package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.model.vo.PatrolDeviceListVO;
import com.bizmatics.service.PatrolDeviceTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 巡检管理-检查条目-检查条目设备类型
 *
 * @author ya
 * @since 2021-10-15
 */
@RestController
@RequestMapping("/patrolDeviceType")
public class PatrolDeviceTypeController {

    @Autowired
    private PatrolDeviceTypeService patrolDeviceTypeService;

    /**
     * 巡检管理-检查条目-检查条目设备类型-新增
     *
     * @param deviceTypeName 设备类型名称
     * @return
     */
    @GetMapping("patrolDeviceTypeAdd")
    public ApiResult<Void> patrolDeviceTypeAdd(@RequestParam(required = false) String deviceTypeName
    ) {
        patrolDeviceTypeService.patrolDeviceTypeAdd(deviceTypeName);
        return ApiResult.success();
    }

    /**
     * 巡检管理-检查条目-检查条目设备类型-修改
     *
     * @param id             检查条目设备类型id
     * @param deviceTypeName 设备类型名称
     * @return
     */
    @GetMapping("patrolDeviceTypeUpdate")
    public ApiResult<Void> patrolDeviceTypeUpdate(@RequestParam Integer id,
                                                  @RequestParam(required = false) String deviceTypeName
    ) {
        patrolDeviceTypeService.patrolDeviceTypeUpdate(id, deviceTypeName);
        return ApiResult.success();
    }

    /**
     * 巡检管理-检查条目-检查条目设备类型-注销
     *
     * @param id 检查条目设备类型id
     * @return
     */
    @GetMapping("patrolDeviceTypeDel")
    public ApiResult<Void> patrolDeviceTypeDel(@RequestParam Integer id
    ) {
        patrolDeviceTypeService.patrolDeviceTypeDel(id);
        return ApiResult.success();
    }

    /**
     * 巡检管理-检查条目-检查条目设备类型-检查条目设备类型查询
     *
     * @param deviceTypeName 设备类型名称
     * @param id             检查条目设备类型ID
     * @return
     */
    @GetMapping("patrolDeviceTypeList")
    public ApiResult<List<PatrolDeviceListVO>> patrolDeviceTypeList(@RequestParam(required = false) String deviceTypeName,
                                                                    @RequestParam(value = "id", required = false, defaultValue = "0") Integer id
    ) {
        return ApiResult.success(patrolDeviceTypeService.patrolDeviceTypeList(deviceTypeName, id));
    }
}

