package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.model.PowerQualityConfig;
import com.bizmatics.service.PowerQualityConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 站点管理-电能质量评分配置
 *
 * @author ya
 * @since 2021-10-09
 */
@RestController
@RequestMapping("/powerQualityConfig")
public class PowerQualityConfigController {

    @Autowired
    private PowerQualityConfigService powerQualityConfigService;

    /**
     * 站点管理-电能质量评分配置-新增
     *
     * @param powerQualityConfig
     * @return
     */
    @PostMapping("powerQualityAdd")
    public ApiResult<Void> powerQualityAdd(@RequestBody PowerQualityConfig powerQualityConfig) {
        powerQualityConfigService.powerQualityAdd(powerQualityConfig);
        return ApiResult.success();
    }

    /**
     * 站点管理-电能质量评分配置-修改
     *
     * @param powerQualityConfig
     * @return
     */
    @PostMapping("powerQualityUpdate")
    public ApiResult<Void> powerQualityUpdate(@RequestBody PowerQualityConfig powerQualityConfig) {
        powerQualityConfigService.powerQualityUpdate(powerQualityConfig);
        return ApiResult.success();
    }

    /**
     * 站点管理-电能质量评分配置-注销
     *
     * @param id 电能质量评分配置表主键ID
     * @return
     */
    @GetMapping("powerQualityDel")
    public ApiResult<Void> powerQualityDel(@RequestParam int id) {
        powerQualityConfigService.powerQualityDel(id);
        return ApiResult.success();
    }

    /**
     * 站点管理-电能质量评分配置-查询
     *
     * @param siteId 站点ID
     * @return
     */
    @GetMapping("powerQualityList")
    public ApiResult<List<PowerQualityConfig>> powerQualityList(@RequestParam int siteId) {
        return ApiResult.success(powerQualityConfigService.powerQualityList(siteId));
    }
}

