package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.service.RtSwitchDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * 实时消费组开关
 *
 * @author ya
 * @since 2021-07-07
 */
@RestController
@RequestMapping("/rtSwitchData")
public class RtSwitchDataController {

    @Autowired
    private RtSwitchDataService rtSwitchDataService;

    /**
     * 查看单个信息
     *
     * @return
     */
    @GetMapping("one")
    public ApiResult<List<Map<String, Object>>> getOne(@RequestParam Integer siteId) {
        return ApiResult.success(rtSwitchDataService.getOne(siteId));
    }


    /**
     * 伍继PC1.0-运行状态统计上部分查询
     *
     * @param siteId 站点ID
     * @return
     */
    @RequestMapping("LoopStatus")
    public ApiResult<List<Map<String, Object>>> getLoopStatus(@RequestParam Integer siteId) {
        return ApiResult.success(rtSwitchDataService.getLoopStatus(siteId));
    }


}

