package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.service.SiteGroupingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 站点分组
 *
 * @author ya
 * @since 2021-09-17
 */
@RestController
@RequestMapping("/siteGrouping")
public class SiteGroupingController {
    @Autowired
    private SiteGroupingService siteGroupingService;

    /**
     * 站点分组-新增
     *
     * @param groupingName 站点分组名称
     * @return
     */
    @RequestMapping("siteGroupingAdd")
    public ApiResult<Void> siteGroupingAdd(@RequestParam String groupingName) {
        siteGroupingService.siteGroupingAdd(groupingName);
        return ApiResult.success();
    }

    /**
     * 站点分组-修改
     *
     * @param groupingName 站点分组名称
     * @param id           站点分组ID
     * @return
     */
    @RequestMapping("siteGroupingUpdate")
    public ApiResult<Void> siteGroupingUpdate(@RequestParam String groupingName,
                                              @RequestParam int id) {
        siteGroupingService.siteGroupingUpdate(groupingName, id);
        return ApiResult.success();
    }
}

