package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.model.vo.SitedtlArchivesVo;
import com.bizmatics.model.vo.SitedtlVo;
import com.bizmatics.service.SitedtlService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 运维管理-现场档案
 *
 * @author ya
 * @since 2021-10-26
 */
@RestController
@RequestMapping("/sitedtl")
public class SitedtlController {

    @Autowired
    private SitedtlService sitedtlService;

    /**
     * 运维管理-现场档案-新增
     *
     * @param sitedtlArchivesVo
     * @return
     */
    @PostMapping("sitedtlAdd")
    public ApiResult<Void> sitedtlAdd(@RequestBody SitedtlArchivesVo sitedtlArchivesVo) {
        sitedtlService.sitedtlAdd(sitedtlArchivesVo);
        return ApiResult.success();
    }

    /**
     * 运维管理-现场档案-修改
     *
     * @param sitedtlArchivesVo
     * @return
     */
    @PostMapping("sitedtlUpdate")
    public ApiResult<Void> sitedtlUpdate(@RequestBody SitedtlArchivesVo sitedtlArchivesVo) {
        sitedtlService.sitedtlUpdate(sitedtlArchivesVo);
        return ApiResult.success();
    }


    /**
     * 运维管理-现场档案-列表查询
     *
     * @param siteId              站点ID
     * @param electricTestOverdue 电试日期
     * @param size                条数
     * @param current             页数
     * @return
     */
    @GetMapping("sitedtlList")
    public ApiResult<CommonPage<SitedtlVo>> sitedtlList(@RequestParam(value = "siteId", required = false, defaultValue = "0") Integer siteId,
                                                        @RequestParam(required = false) String electricTestOverdue,
                                                        @RequestParam(value = "size", required = false, defaultValue = "15") Integer size,
                                                        @RequestParam(value = "current", required = false, defaultValue = "1") Integer current
    ) {
        return ApiResult.success(sitedtlService.sitedtlList(siteId, electricTestOverdue, size, current));
    }

    /**
     * 运维管理-现场档案-导出
     *
     * @param siteId              站点ID
     * @param electricTestOverdue 电试超期
     * @return
     */
    @GetMapping("variableListExport")
    public ApiResult<String> variableListExport(@RequestParam(value = "siteId", required = false, defaultValue = "0") Integer siteId,
                                                @RequestParam(required = false) String electricTestOverdue
    ) {
        return ApiResult.success(sitedtlService.variableListExport(siteId, electricTestOverdue));
    }

}

