package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.model.WcBlackoutPlan;
import com.bizmatics.model.vo.PlannedOutageVo;
import com.bizmatics.model.vo.WcBlackoutPlanVo;
import com.bizmatics.service.WcBlackoutPlanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 停电计划
 *
 * @author ya
 * @since 2021-07-07
 */
@RestController
@RequestMapping("/wcBlackoutPlan")
public class WcBlackoutPlanController {

    @Autowired
    private WcBlackoutPlanService wcBlackoutPlanService;

    /**
     * 停电计划-新增
     *
     * @param wcBlackoutPlan
     * @return
     */
    @PostMapping("plannedOutageAdd")
    public ApiResult<Void> plannedOutageAdd(@RequestBody WcBlackoutPlan wcBlackoutPlan) {
        wcBlackoutPlanService.plannedOutageAdd(wcBlackoutPlan);
        return ApiResult.success();
    }


    /**
     * 停电计划-修改
     *
     * @param wcBlackoutPlan
     * @return
     */
    @PostMapping("plannedOutageUpdate")
    public ApiResult<Void> plannedOutageUpdate(@RequestBody WcBlackoutPlan wcBlackoutPlan) {
        wcBlackoutPlanService.plannedOutageUpdate(wcBlackoutPlan);
        return ApiResult.success();
    }

    /**
     * 停电计划-注销
     *
     * @param id
     * @return
     */
    @GetMapping("plannedOutageDel")
    public ApiResult<Void> plannedOutageDel(@RequestParam int id) {
        wcBlackoutPlanService.plannedOutageDel(id);
        return ApiResult.success();
    }

    /**
     * 停电计划-查询
     *
     * @param plannedOutageVo
     * @return
     */
    @PostMapping("plannedOutageList")
    public ApiResult<CommonPage<WcBlackoutPlanVo>> plannedOutageList(@RequestBody PlannedOutageVo plannedOutageVo) {
        return ApiResult.success(wcBlackoutPlanService.plannedOutageList(plannedOutageVo));
    }


    /**
     * 停电计划-导出
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @param type      状态 1 未执行 2执行中 3 已执行
     * @return
     */
    @GetMapping("outagePlanListExport")
    public ApiResult<String> outagePlanListExport(@RequestParam(value = "startTime", required = false) String startTime,
                                                  @RequestParam(value = "endTime", required = false) String endTime,
                                                  @RequestParam(value = "type", required = false, defaultValue = "0") Integer type) {
        return ApiResult.success(wcBlackoutPlanService.outagePlanListExport(startTime, endTime, type));
    }

}

