package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-10-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ConsumeEnergyConfig implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 能源配置表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 能源类型：1.电 2.水 3.气 4.汽 5.煤 6.冷 7.热 8.光伏 9.火电 10.水电 11.风电 12.其他
     */
    private Integer energyType;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 监控设备
     */
    private String deviceCode;

    /**
     * 站点ID
     */
    private Integer siteId;

    /**
     * 变量：1.正有功电度 2.负有功电度 3.正无功电度 4.负无功电度
     */
    private Integer variable;

    /**
     * 计量级别：1站点级 2.其他
     */
    private Integer meteringLevel;

    /**
     * 支路
     */
    private String accessRd;

    /**
     * 分项
     */
    private String subItem;

    /**
     * 部门
     */
    private String department;

    /**
     * 分区
     */
    private String partitionss;

    /**
     * 使能标识（0 不生效，1 生效）
     */
    private Integer enable;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime creatorTime;


}
