package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 设备属性
 * </p>
 *
 * @author ya
 * @since 2021-09-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DeviceAttribute implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 监控设备id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 监控设备编号
     */
    private String monitorDeviceCode;
    /**
     * 监控设备名称
     */
    private String monitorDeviceName;
    /**
     * 回路表计地址
     */
    private Integer loopMeterAddress;
    /**
     * 额定电压（kv）
     */
    private Double ratedVoltage;

    /**
     * 额定电流（A）
     */
    private Double ratedCurrent;
    /**
     * 电流负载率门限
     */
    private Double currentLoadRate;
    /**
     * 站点ID
     */
    private Integer siteId;
    /**
     * 变量列表id
     */
    private Integer variableListId;
    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 电能质量分析
     */
    private String qualityAnalysis;

    /**
     * 1:启用、0：不启用
     */
    private Integer status;
}
