package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DeviceList implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 设备信息表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 所属站点
     */
    private Integer siteId;

    /**
     * 设备安装位置
     */
    private String deviceAddress;

    /**
     * 1：183用电设备，2：视频监控设备，3：171用电设备，4：173用电设备，5：158智能网关，6：其他
     */
    private String deviceType;

    /**
     * 安装时间
     */
    private Date installTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 使能标识（0 不生效，1生效）
     */
    private Integer enable;

    @TableField(exist = false)
    private Integer deviceStatus;

    /**
     * 站点里面字段信息
     */
    @TableField(exist = false)
    private String installedCapacity;
    /**
     * 回路表计地址
     */
    private Integer loopMeterAddress;

    /**
     * 额定电压（kv）
     */
    private Double ratedVoltage;

    /**
     * 额定电流（A）
     */
    private Double ratedCurrent;

    /**
     * 电流负载率门限
     */
    private Double currentLoadRate;

    /**
     * 监控设备编号
     */
    private String monitoringEquipmentNo;

    /**
     * 变量列表id
     */
    private Integer variableListId;

    /**
     * 电能质量分析
     */
    private String qualityAnalysis;
}
