package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-10-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DevopsWorkOrder implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 运维工单id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 工单描述
     */
    private String workOrder;

    /**
     * 站点id
     */
    private Integer siteId;

    /**
     * 工单类型（1 安全评测，2 检修，3 抢修，4 其他，5 保养，6 停电维护，7 巡检）
     */
    private Integer workOrderType;

    /**
     * 期待完成时间
     */
    private Date expectedCompletionTime;

    /**
     * 班组id
     */
    private Integer teamId;

    /**
     * 生成方式（1 巡检计划，2 现场提交，3 后台新增，4 其他）
     */
    private Integer generationMode;

    /**
     * 工单状态（1 待抢单，2 待指派，3 待接单，4 待处理，5 待关单，6 已完成）
     */
    private Integer workOrderStatus;

    /**
     * 图片路径1
     */
    private String picturePathOne;

    /**
     * 图片路径2
     */
    private String picturePathTwo;

    /**
     * 图片路径3
     */
    private String picturePathThree;

    /**
     * 图片路径4
     */
    private String picturePathFour;

    /**
     * 图片路径5
     */
    private String picturePathFive;

    /**
     * 图片路径6
     */
    private String picturePathSix;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 启用状态（0 撤单，1 启用）
     */
    private Integer status;



    /**
     * 记录ID
     */
    private Integer inspectionRecordId;

    private Integer count;
}
