package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Personnel implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 人员信息表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 人员姓名
     */
    private String personnelName;

    /**
     * 人员手机号
     */
    private String personnelPhone;

    /**
     * 人员职能（1 最高权限，2 维保人员，3 供电人员）
     */
    private Integer personnelFunction;

    /**
     * 站点id
     */
    private Integer siteId;

    /**
     * 告警设置
     */
    private String alarmSetting;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String creater;

    /**
     * 使能标识（0 不生效，1 生效）
     */
    private Integer enable;


}
