package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-10-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PowerQualityConfig implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 电能质量评分配置表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 站点ID
     */
    private Integer siteId;

    /**
     * 功率因数%
     */
    private String powerFactorOne;

    /**
     * 电压合格率
     */
    private String voltageQualified;

    /**
     * 负载率
     */
    private String loadRate;

    /**
     * 电流平衡度
     */
    private String currentBalance;

    /**
     * 电压平衡度
     */
    private String voltageBalance;

    /**
     * 谐波畸变率
     */
    private String thdu;

    /**
     * 功率因数
     */
    private String powerFactorTwo;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 使能标识（0 不生效，1 生效）
     */
    private Integer enable;


}
