package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class RtAnalogData implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 伍继电力test_183消费组模拟量数据表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 阿里云平台设备名称
     */
    @TableField("deviceName")
    private String deviceName;

    /**
     * 母线停电次数
     */
    @TableField("Busot")
    private Integer Busot;

    /**
     * 三相功率因数
     */
    @TableField("COS")
    private Double cos;

    /**
     * A相功率因数
     */
    @TableField("COSa")
    private Double COSa;

    /**
     * B相功率因数
     */
    @TableField("COSb")
    private Double COSb;

    /**
     * C相功率因数
     */
    @TableField("COSc")
    private Double COSc;

    /**
     * 实时有功需量
     */
    @TableField("Demand")
    private Double Demand;

    /**
     * 设备复位次数
     */
    @TableField("DevResetTimes")
    private Integer DevResetTimes;

    /**
     * 设备温度
     */
    @TableField("DeviceTemp")
    private Double DeviceTemp;

    /**
     * 三相反向有功电度
     */
    @TableField("Epn")
    private Double Epn;

    /**
     * 尖段反向有功电度
     */
    @TableField("Epn1")
    private Double Epn1;

    /**
     * 峰段反向有功电度
     */
    @TableField("Epn2")
    private Double Epn2;

    /**
     * 平段反向有功电度
     */
    @TableField("Epn3")
    private Double Epn3;

    /**
     * 谷段反向有功电度
     */
    @TableField("Epn4")
    private Double Epn4;

    /**
     * 三相正向有功电度
     */
    @TableField("Epp")
    private Double Epp;

    /**
     * 尖段正向有功电度
     */
    @TableField("Epp1")
    private Double Epp1;

    /**
     * 峰段正向有功电度
     */
    @TableField("Epp2")
    private Double Epp2;

    /**
     * 平段正向有功电度
     */
    @TableField("Epp3")
    private Double Epp3;

    /**
     * 谷段正向有功电度
     */
    @TableField("Epp4")
    private Double Epp4;

    /**
     * 三相反向无功电度
     */
    @TableField("Eqn")
    private Double Eqn;

    /**
     * 三相正向无功电度
     */
    @TableField("Eqp")
    private Double Eqp;

    /**
     * 频率
     */
    @TableField("F")
    private Double f;

    /**
     * 零序电流
     */
    @TableField("I0")
    private Double i0;

    /**
     * 负序电流
     */
    @TableField("I2")
    private Double i2;

    /**
     * A相总谐波电流
     */
    @TableField("IHa")
    private Double IHa;

    /**
     * B相总谐波电流
     */
    @TableField("IHb")
    private Double IHb;

    /**
     * C相总谐波电流
     */
    @TableField("IHc")
    private Double IHc;

    /**
     * A相电流
     */
    @TableField("Ia")
    private Double Ia;

    /**
     * B相电流
     */
    @TableField("Ib")
    private Double Ib;

    /**
     * C相电流
     */
    @TableField("Ic")
    private Double Ic;

    /**
     * 剩余电流
     */
    @TableField("Ir")
    private Double Ir;

    /**
     * 昨日有功最大需量
     */
    @TableField("LastDayMD")
    private Double LastDayMD;

    /**
     * 昨日有功最大需量发生时间
     */
    @TableField("LastDayMDt")
    private Double LastDayMDt;

    /**
     * 三相总有功功率
     */
    @TableField("P")
    private Double p;

    /**
     * A相有功功率
     */
    @TableField("Pa")
    private Double Pa;

    /**
     * B相有功功率
     */
    @TableField("Pb")
    private Double Pb;

    /**
     * C相有功功率
     */
    @TableField("Pc")
    private Double Pc;

    /**
     * 三相总无功功率
     */
    @TableField("Q")
    private Double q;

    /**
     * A相无功功率
     */
    @TableField("Qa")
    private Double Qa;

    /**
     * B相无功功率
     */
    @TableField("Qb")
    private Double Qb;

    /**
     * C相无功功率
     */
    @TableField("Qc")
    private Double Qc;

    /**
     * 信号强度
     */
    @TableField("SignalIntensity")
    private Double SignalIntensity;

    /**
     * 第1路温度
     */
    @TableField("T1")
    private Double t1;

    /**
     * 第2路温度
     */
    @TableField("T2")
    private Double t2;

    /**
     * 第3路温度
     */
    @TableField("T3")
    private Double t3;

    /**
     * 第4路温度
     */
    @TableField("T4")
    private Double t4;

    /**
     * A相电压THD
     */
    @TableField("THDUa")
    private Double THDUa;

    /**
     * B相电压THD
     */
    @TableField("THDUb")
    private Double THDUb;

    /**
     * C相电压THD
     */
    @TableField("THDUc")
    private Double THDUc;

    /**
     * A相电压
     */
    @TableField("Ua")
    private Double Ua;

    /**
     * AB线电压
     */
    @TableField("Uab")
    private Double Uab;

    /**
     * B相电压
     */
    @TableField("Ub")
    private Double Ub;

    /**
     * BC线电压
     */
    @TableField("Ubc")
    private Double Ubc;

    /**
     * 零序电压不平衡度
     */
    @TableField("UblU0")
    private Double UblU0;

    /**
     * 负序电压不平衡度
     */
    @TableField("UblU2")
    private Double UblU2;

    /**
     * C相电压
     */
    @TableField("Uc")
    private Double Uc;

    /**
     * CA线电压
     */
    @TableField("Uca")
    private Double Uca;

    /**
     * 电压暂降次数
     */
    @TableField("Udt")
    private Integer Udt;

    /**
     * 线路侧电压
     */
    @TableField("Ul")
    private Double Ul;

    /**
     * 电压暂升次数
     */
    @TableField("Upt")
    private Integer Upt;

    /**
     * 电压短时中断次数
     */
    @TableField("Ust")
    private Integer Ust;

    /**
     * 冻结时间
     */
    @TableField("freezingTime")
    private Date freezingTime;

    /**
     * 上报时间
     */
    @TableField("dataTime")
    private Date dataTime;


}
