package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Site implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 站点表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 站点名称
     */
    private String siteName;

    /**
     * 站点位置
     */
    private String siteAddress;

    /**
     * 所属单位
     */
    private Integer companyCode;

    /**
     * 联系人1
     */
    private String userName;

    /**
     * 手机号码1
     */
    private String phone;

    /**
     * 联系人2
     */
    private String spareUserName;

    /**
     * 手机号码2
     */
    private String sparePhone;

    /**
     * 所属台区
     */
    private Integer stationAreaId;

    /**
     * 所属线路
     */
    private Integer routeId;

    /**
     * 装机容量
     */
    private String installedCapacity;

    /**
     * 流变变化
     */
    private String rheologicalChange;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 所属区域（1 宝山，2 嘉定）
     */
    private Integer region;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 使能标识（0 不生效，1 生效）
     */
    private Integer enable;

    /**
     * 分组ID
     */
    private Integer groupingId;


}
