package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 站点动态属性表
 * </p>
 *
 * @author ya
 * @since 2021-09-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SiteDynamicProperties implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 站点动态属性id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 故障状态
     */
    private String faultStatus;

    /**
     * 实时负荷
     */
    private String realTimeLoad;

    /**
     * 总电量
     */
    private String totalElectricity;

    /**
     * 功率因数
     */
    private String powerFactor;

    /**
     * 站点id
     */
    private Integer siteId;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 站点类型
     */
    private Integer siteType;

    /**
     * 用户公司
     */
    private String userCompany;

    /**
     * 投运时间
     */
    private LocalDate operationTime;

    /**
     * 服务截止
     */
    private LocalDate serviceDeadline;

    /**
     * 供电类型:1\单路、2\双路
     */
    private Integer powerSupplyType;

    /**
     * 电压等级
     */
    private String voltageLevel;

    /**
     * 拆标准煤:1\电力（等价）、2\电力（当量）
     */
    @TableField("demolition_standard_coal")
    private Integer demolitionStandardCoal;

    /**
     * 拆标准煤
     */
    @TableField("demolition_standard_coal1")
    private String demolitionStandardCoal1;

    /**
     * 站点图片一
     */
    @TableField("site_picture_one")
    private String sitePictureOne;


    /**
     * 站点图片二
     */
    @TableField("site_picture_two")
    private String sitePictureTwo;


    /**
     * 站点图片三
     */
    @TableField("site_picture_three")
    private String sitePictureThree;



}
