package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Sitedtl implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 站点详细信息表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 户号
     */
    private String accountNumber;

    /**
     * 流变变化
     */
    private String rheologicalChange;

    /**
     * 单路电源容量
     */
    private Integer powerCapacity;

    /**
     * 所属线路
     */
    private Integer routeId;

    /**
     * 所属站点
     */
    private Integer siteId;

    /**
     * 所属监察
     */
    private Integer supervisionDepartmentId;

    /**
     * 电缆孔洞（0 否，1 是）
     */
    private Boolean cableHole;

    /**
     * 门窗墙壁破损（0 否，1 是）
     */
    private Boolean damage;

    /**
     * 屋顶、墙壁渗漏水（0 否，1 是）
     */
    private Boolean waterLeakage;

    /**
     * 灭火器配置不足（0 否，1 是）
     */
    private Boolean annihilatorInsufficientConfiguration;

    /**
     * 灭火器超期（时间）
     */
    private String annihilatorOverdue;

    /**
     * 缺失门挡板（0 否，1 是）
     */
    private Boolean doorBaffle;

    /**
     * 堆放杂物（0 否，1 是）
     */
    private Boolean pileUpSundries;

    /**
     * 积灰严重（0 否，1 是）
     */
    private Boolean seriousAshDeposition;

    /**
     * 配电房周围环境潮湿（0 否，1 是）
     */
    private Boolean aroundEnvironmentHumid;

    /**
     * 配电房周围堆放杂物（0 否，1 是）
     */
    private Boolean aroundPileUpSundries;

    /**
     * 无电工（0 否，1是）
     */
    private Boolean noElectrician;

    /**
     * 电工人数配置不足（0 否，1 是）
     */
    private Boolean electricianLack;

    /**
     * 电工证超期（0 否，1 是）
     */
    private Boolean overdueElectricianCertificate;

    /**
     * 电试超期（标明电试日期）
     */
    private String electricTestOverdue;

    /**
     * 高压柜年份
     */
    private String highVoltageCabinet;

    /**
     * 变压器年份（标明出厂或投运日期）
     */
    private String oldEquipment;

    /**
     * 带电显示器损坏（0 否  1 是）
     */
    private Boolean chargedDisplay;

    /**
     * 缺失照明（0 否 ，1 是）
     */
    private Boolean lighting;

    /**
     * 绝缘毯配置不足（0 否，1 是）
     */
    private Boolean blanketInsufficientConfiguration;

    /**
     * 接地线与存放位置（0 否，1 是）
     */
    private Boolean groundWire;

    /**
     * 模拟屏（0 否，1是）
     */
    private Boolean analogScreen;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private Date createTime;


}
