package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TemplateData implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 站点表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 故障状态
     */
    private String faultStatus;

    /**
     * 实时负荷
     */
    private String realTimeLoad;

    /**
     * 总电量
     */
    private String totalElectricity;

    /**
     * 功率因数
     */
    private String powerFactor;

    /**
     * 站点id
     */
    private Integer siteId;

    /**
     * 站点类型
     */
    private Integer siteType;

    /**
     * 用户公司
     */
    private String userCompany;

    /**
     * 投运时间
     */
    private LocalDate operationTime;

    /**
     * 服务截止
     */
    private LocalDate serviceDeadline;

    /**
     * 供电类型:1\单路、2\双路
     */
    private Integer powerSupplyType;

    /**
     * 电压等级
     */
    private String voltageLevel;

    /**
     * 拆标准煤:1\电力（等价）、2\电力（当量）
     */
    @TableField("demolition_standard_coal")
    private Integer demolitionStandardCoal;

    /**
     * 拆标准煤
     */
    @TableField("demolition_standard_coal1")
    private String demolitionStandardCoal1;

    /**
     * 站点图片一
     */
    @TableField("site_picture_one")
    private String sitePictureOne;


    /**
     * 站点图片二
     */
    @TableField("site_picture_two")
    private String sitePictureTwo;


    /**
     * 站点图片三
     */
    @TableField("site_picture_three")
    private String sitePictureThree;

    /**
     * 站点名称
     */
    private String siteName;

    /**
     * 站点位置
     */
    private String siteAddress;

    /**
     * 所属单位
     */
    private Integer companyCode;

    /**
     * 联系人
     */
    private String userName;

    /**
     * 手机号码
     */
    private String phone;

    /**
     * 所属台区
     */
    private Integer stationAreaId;

    /**
     * 所属线路
     */
    private Integer routeId;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 所属区域（1 宝山，2 嘉定）
     */
    private Integer region;

    /**
     * 使能标识（0 不生效，1 生效）
     */
    private Integer enable;


    private String installedCapacity;

    /**
     * 分组ID
     */
    private Integer groupingId;

    /**
     * 流变变化
     */
    private String rheologicalChange;

    /**
     * 动态属性表id
     */
    private Integer siteDynamicPropertiesId;

    /**
     *联系人2
     */
    private String spareUserName;

    /**
     * 联系方式2
     */
    private String sparePhone;

}
