package com.bizmatics.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author yq
 * @date 2021/7/8 14:30
 * 公用的图标VO
 */
@Builder
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CorrespondDeviceListVO implements Serializable {

    /**
     * 设备信息表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 所属站点
     */
    private Integer siteId;

    /**
     * 设备安装位置
     */
    private String deviceAddress;

    /**
     * 1：183用电设备，2：视频监控设备，3：171用电设备，4：173用电设备，5：158智能网关，6：其他
     */
    private String deviceType;

    /**
     * 安装时间
     */
    private Date installTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * sim卡号
     */
    private String sim;

    /**
     * 楼层
     */
    private String floor;

    /**
     * 使能标识（0 不生效，1生效）
     */
    private Integer enable;


    /**
     *变量列表
     */
    @TableField(exist = false)
    private Object deviceAnalogVariableList;

}
