package com.bizmatics.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author ya
 * @since 2021-10-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionSchemeVo {

    private static final long serialVersionUID = 1L;

    /**
     * 巡检计划id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 巡检计划名称
     */
    private String inspectionSchemeName;

    /**
     * 巡检班组id
     */
    private Integer inspectionTeamId;

    /**
     * 巡检方式配置（1 多次巡检，2 单次巡检）
     */
    private Integer inspectionMode;

    /**
     * 计划开始日期
     */
    private Date schemeStartDate;

    /**
     * 计划结束日期
     */
    private Date schemeEndDate;

    /**
     * 巡检周期数目
     */
    private Integer inspectionCycleNumber;

    /**
     * 巡检周期类型（1 日，2 周，3 月，4 年）
     */
    private Integer inspectionCycleType;

    /**
     * 执行时间
     */
    private String executionTime;

    /**
     * 遇到周末：1 照常执行，2 不执行，3 提前到周五执行，4 推迟到下周一执行
     */
    private Integer encounterWeekend;

    /**
     * 工单创建时间（0 巡检日当天，1 提前1天，2 提前2天，3 提前3天，4 提前4天......）
     */
    private Integer workOrderTime;

    /**
     * 巡检工单截止时间（0 当天，1 3天内，2 一周内，3 两周内，4 一个月内，5 两个月内）
     */
    private Integer workOrderDeadline;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 启用状态（0 未启用，1 启用，2 已完成）
     */
    private Integer status;

    /**
     * 执行次数
     */
    private Integer executions;

    private List<PatrolInspectionRouteVo> patrolInspectionRouteVo;

    private PatrolInspectionTeamVo patrolInspectionTeamVo;


}
