package com.bizmatics.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备属性
 * </p>
 *
 * @author ya
 * @since 2021-09-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SiteDeviceList implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 设备动态属性id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备id
     */
    private Integer deviceId;

    /**
     * 回路表计地址
     */
    private Integer loopMeterAddress;

    /**
     * 额定电压（kv）
     */
    private Double ratedVoltage;

    /**
     * 额定电流（A）
     */
    private Double ratedCurrent;

    /**
     * 电流负载率门限
     */
    private Double currentLoadRate;

    /**
     * 监控设备编号
     */
    private String monitoringEquipmentNo;

    /**
     * 变量列表id
     */
    private Integer variableListId;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 电能质量分析
     */
    private String qualityAnalysis;

    /**
     * 1:启用、0：不启用
     */
    private Integer enable;

    /**
     *站点ID
     */
    private Integer siteId;

    /**
     *设备ID
     */
    private Integer deviceIdOne;

    /**
     *设备状态表ID
     */
    private Integer deviceStatusId;

    /**
     *站点名称
     */
    private String siteName;

    /**
     *设备名称
     */
    private String deviceName;

    /**
     * 设备状态
     */
    private String deviceStatusr;
}
