package com.bizmatics.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SitedtlVo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 站点详细信息表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 户号
     */
    private String accountNumber;

    /**
     * 流变变化
     */
    private String rheologicalChange;

    /**
     * 单路电源容量
     */
    private Integer powerCapacity;

    /**
     * 所属线路
     */
    private Integer routeId;

    /**
     * 所属站点
     */
    private Integer siteId;

    /**
     * 所属监察
     */
    private Integer supervisionDepartmentId;

    /**
     * 电缆孔洞（0 否，1 是）
     */
    private Boolean cableHole;

    /**
     * 门窗墙壁破损（0 否，1 是）
     */
    private Boolean damage;

    /**
     * 屋顶、墙壁渗漏水（0 否，1 是）
     */
    private Boolean waterLeakage;

    /**
     * 灭火器配置不足（0 否，1 是）
     */
    private Boolean annihilatorInsufficientConfiguration;

    /**
     * 灭火器超期（时间）
     */
    private String annihilatorOverdue;

    /**
     * 缺失门挡板（0 否，1 是）
     */
    private Boolean doorBaffle;

    /**
     * 堆放杂物（0 否，1 是）
     */
    private Boolean pileUpSundries;

    /**
     * 积灰严重（0 否，1 是）
     */
    private Boolean seriousAshDeposition;

    /**
     * 配电房周围环境潮湿（0 否，1 是）
     */
    private Boolean aroundEnvironmentHumid;

    /**
     * 配电房周围堆放杂物（0 否，1 是）
     */
    private Boolean aroundPileUpSundries;

    /**
     * 无电工（0 否，1是）
     */
    private Boolean noElectrician;

    /**
     * 电工人数配置不足（0 否，1 是）
     */
    private Boolean electricianLack;

    /**
     * 电工证超期（0 否，1 是）
     */
    private Boolean overdueElectricianCertificate;

    /**
     * 电试超期（标明电试日期）
     */
    private String electricTestOverdue;

    /**
     * 高压柜年份
     */
    private String highVoltageCabinet;

    /**
     * 变压器年份（标明出厂或投运日期）
     */
    private String oldEquipment;

    /**
     * 带电显示器损坏（0 否  1 是）
     */
    private Boolean chargedDisplay;

    /**
     * 缺失照明（0 否 ，1 是）
     */
    private Boolean lighting;

    /**
     * 绝缘毯配置不足（0 否，1 是）
     */
    private Boolean blanketInsufficientConfiguration;

    /**
     * 接地线与存放位置（0 否，1 是）
     */
    private Boolean groundWire;

    /**
     * 模拟屏（0 否，1是）
     */
    private Boolean analogScreen;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 现场档案外连表ID
     */
    private Integer siteArchivesId;

    /**
     * 站点详细信息表ID
     */
    private Integer sitedtlId;

    /**
     * 电缆孔洞描述
     */
    private String cableHoleDescribe;

    /**
     * 电缆孔洞图片路径
     */
    private String cableHolePicture;

    /**
     * 门窗墙壁破损描述
     */
    private String damageDescribe;

    /**
     * 门窗墙壁破损图片路径
     */
    private String damagePicture;

    /**
     * 屋顶、墙壁渗漏水描述
     */
    private String waterLeakageDescribe;

    /**
     * 屋顶、墙壁渗漏水图片路径
     */
    private String waterLeakagePicture;

    /**
     * 灭火器配置不足描述
     */
    private String annihilatorInsufficientConfigurationDescribe;

    /**
     * 灭火器配置不足图片路径
     */
    private String annihilatorInsufficientConfigurationPicture;

    /**
     * 灭火器超期描述
     */
    private String annihilatorOverdueDescribe;

    /**
     * 灭火器超期图片路径
     */
    private String annihilatorOverduePicture;

    /**
     * 堆放杂物描述
     */
    private String pileUpSundriesDescribe;

    /**
     * 堆放杂物图片路径
     */
    private String pileUpSundriesPicture;

    /**
     * 积灰严重描述
     */
    private String seriousAshDepositionDescribe;

    /**
     * 积灰严重图片路径
     */
    private String seriousAshDepositionPicture;

    /**
     * 配电房周围环境潮湿描述
     */
    private String aroundEnvironmentHumidDescribe;

    /**
     * 配电房周围环境潮湿图片路径
     */
    private String aroundEnvironmentHumidPicture;

    /**
     * 配电房周围堆放杂物描述
     */
    private String aroundPileUpSundriesDescribe;

    /**
     * 配电房周围堆放杂物图片路径
     */
    private String aroundPileUpSundriesPicture;

    /**
     * 无电工描述
     */
    private String noElectricianDescribe;

    /**
     * 无电工图片路径
     */
    private String noElectricianPicture;

    /**
     * 电工人数配置不足描述
     */
    private String electricianLackDescribe;

    /**
     * 电工人数配置不足图片路径
     */
    private String electricianLackPicture;

    /**
     * 电工证超期描述
     */
    private String overdueElectricianCertificateDescribe;

    /**
     * 电工证超期图片路径
     */
    private String overdueElectricianCertificatePicture;

    /**
     * 绝缘毯配置不足描述
     */
    private String blanketInsufficientConfigurationDescribe;

    /**
     * 绝缘毯配置不足图片路径
     */
    private String blanketInsufficientConfigurationPicture;

    /**
     * 接地线与存放位置描述
     */
    private String groundWireDescribe;

    /**
     * 接地线与存放位置图片路径
     */
    private String groundWirePicture;

    /**
     * 模拟屏描述
     */
    private String analogScreenDescribe;

    /**
     * 模拟屏图片路径
     */
    private String analogScreenPicture;

    /**
     * 门挡板描述
     */
    private String doorBaffleDescribe;

    /**
     * 门挡板图片
     */
    private String doorBafflePicture;

    /**
     * 带电显示器损坏描述
     */
    private String chargedDisplayDescribe;

    /**
     * 带电显示器损坏图片
     */
    private String chargedDisplayPicture;

    /**
     * 是否具备照明描述
     */
    private String lightingDescribe;

    /**
     * 是否具备照明图片
     */
    private String lightingPicture;

    /**
     * 站点名称
     */
    private String siteName;

    /**
     * 线路名称
     */
    private String routeName;

    /**
     * 监察人
     */
    private String supervisionName;
}
