package com.bizmatics.persistence.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.AlarmPower;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 电力告警 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Repository
public interface AlarmPowerMapper extends CrudMapper<AlarmPower> {

    /**
     * 查询告警数量
     * @param userId
     * @param siteId
     * @param handlingStatus
     * @return
     */
    Integer selectCount(@Param("userId") Integer userId,
                        @Param("siteId") Integer siteId,
                        @Param("handlingStatus") Integer handlingStatus,
                        @Param("startTime") Date startTime,
                        @Param("endTime") Date endTime,
                        @Param("measName") String measName,
                        @Param("digitalStatus") Integer digitalStatus);



    /**
     * 查询告警数量
     * @param userId
     * @param siteId
     * @param handlingStatus
     * @return
     */
    List<AlarmPower> list(@Param("userId") Integer userId,
                        @Param("siteId") Integer siteId,
                        @Param("handlingStatus") Integer handlingStatus,
                        @Param("startTime") Date startTime,
                        @Param("endTime") Date endTime,
                        @Param("measName") String measName,
                        @Param("digitalStatus") Integer digitalStatus);



    Page<AlarmPower> page(IPage<AlarmPower> page,
                          @Param("userId") Integer userId,
                          @Param("siteId") Integer siteId,
                          @Param("handlingStatus") Integer handlingStatus,
                          @Param("startTime") Date startTime,
                          @Param("endTime") Date endTime);

    Page<Map<String,Object>> gradeSiteList(IPage<Map<String,Object>> page,
                                           @Param("userId") Integer userId,
                                           @Param("siteId") Integer siteId,
                                           @Param("startTime") Date startTime,
                                           @Param("endTime") Date endTime,
                                           @Param("oneGrads") List<String> oneGrads,
                                           @Param("otherGrads") List<String> otherGrads);
    Page<AlarmPower> gradeList(IPage<AlarmPower> page,
                               @Param("userId") Integer userId,
                               @Param("siteId") Integer siteId,
                               @Param("startTime") Date startTime,
                               @Param("endTime") Date endTime,
                               @Param("grades") List<String> grades,
                               @Param("gradeType") Integer gradeType);

    List<AlarmPower> getLoopStatusListMap(@Param("siteId") Integer siteId);
}
