package com.bizmatics.persistence.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.AlarmPower;
import com.bizmatics.model.DeviceAnalogVariableList;
import com.bizmatics.model.vo.DeviceAnalogVariableListOneVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 设备变量列表 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-09-24
 */
public interface DeviceAnalogVariableListMapper extends CrudMapper<DeviceAnalogVariableList> {
    List<DeviceAnalogVariableListOneVo> variableList(@Param("siteId") Integer siteId,
                                                     @Param("id") Integer id,
                                                     @Param("variableName") String variableName,
                                                     @Param("startCurrent") Integer startCurrent,
                                                     @Param("size") Integer size,
                                                     @Param("dataArea") Integer dataArea,
                                                     @Param("monitoringEquipment") Integer monitoringEquipment);

    Page<DeviceAnalogVariableListOneVo> variableListExport(IPage<DeviceAnalogVariableListOneVo> page,
                                                           @Param("siteId") Integer siteId,
                                                           @Param("variableName") String variableName,
                                                           @Param("dataArea") Integer dataArea);


}
