package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.Device;
import com.bizmatics.model.DeviceAnalogVariableList;
import com.bizmatics.model.DeviceList;
import com.bizmatics.model.vo.CorrespondDeviceVO;
import com.bizmatics.model.vo.DeviceOneVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Repository
public interface DeviceMapper extends CrudMapper<Device> {


    /**
     * 根据条件查询总数
     *
     * @param userId
     * @param siteId
     * @param deviceStatus
     * @return
     */
    int selectCount(@Param("userId") Integer userId,
                    @Param("siteId") Integer siteId,
                    @Param("deviceStatus") Integer deviceStatus,
                    @Param("startTime") Date startTime,
                    @Param("endTime") Date endTime,
                    @Param("type") String type);


    List<Device> list(@Param("userId") Integer userId,
                      @Param("siteId") Integer siteId,
                      @Param("deviceStatus") Integer deviceStatus,
                      @Param("startTime") Date startTime,
                      @Param("endTime") Date endTime,
                      @Param("type") String type);

    List<DeviceList> DeviceList(@Param("siteId") Integer siteId);

    List<CorrespondDeviceVO> CorrespondDeviceList(@Param("deviceName") String deviceName,
                                                  @Param("startCurrent") Integer startCurrent,
                                                  @Param("size") Integer size);


    List<DeviceAnalogVariableList> deviceAnalogVariableList(@Param("siteId") Integer siteId);

    List<DeviceOneVo> deviceBoxList(@Param("siteId") Integer siteId);


}
