package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.DevopsWorkOrder;
import com.bizmatics.model.Site;
import com.bizmatics.model.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-10-21
 */
public interface DevopsWorkOrderMapper extends CrudMapper<DevopsWorkOrder> {

    List<DevopsWorkOrderListVo> devopsWorkOrderList(@Param("generationMode") Integer generationMode,
                                                    @Param("workOrderStatus") Integer workOrderStatus,
                                                    @Param("siteId") Integer siteId,
                                                    @Param("workOrderId") List workOrderId,
                                                    @Param("startCurrent") Integer startCurrent,
                                                    @Param("current") Integer current);

    List<PatrolInspectorsVo> patrolInspectorsVoList(@Param("workOrderId") Integer workOrderId);

    List<PatrolInspectionDeviceDetailsVo> patrolInspectionDeviceList(@Param("workOrderId") Integer workOrderId);

    List<DevopsWorkOrderDetailsVo> devopsWorkOrderDetails(@Param("id") Integer id);

    List<PatrolRouteContentListVo> patrolRouteContentList(@Param("siteId") Integer siteId,
                                                          @Param("inspectionSchemeId") Integer inspectionSchemeId);

    List<PatrolInspectorsOneVo> patrolInspectorsOneVoList();

    List<Site> SiteList(@Param("userId") Integer userId,
                        @Param("name") String name);

    List<ProcessingTime> workloadStatisticsLits(@Param("siteId") Integer siteId,
                                                @Param("startTime") String startTime,
                                                @Param("endTime") String endTime);

}
