package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.HtAnalogData;
import com.bizmatics.model.vo.HtAnalogDataOneVo;
import com.bizmatics.model.vo.HtAnalogDataVo;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Repository
public interface HtAnalogDataMapper extends CrudMapper<HtAnalogData> {


    HtAnalogData selectByEndTime(@Param("startTime") Date startTime,
                                 @Param("endTime") Date endTime,
                                 @Param("siteId") Integer siteId,
                                 @Param("userId") Integer userId);


    HtAnalogData selectByStartTime(@Param("startTime") Date startTime,
                                   @Param("endTime") Date endTime,
                                   @Param("siteId") Integer siteId,
                                   @Param("userId") Integer userId);


    Map<String, Double> selectMaxAndMinAndAvg(@Param("siteId") Integer siteId,
                                              @Param("startTime") Date startTime,
                                              @Param("endTime") Date endTime);


    Double selectCount(@Param("siteId") Integer siteId,
                       @Param("startTime") Date startTime,
                       @Param("endTime") Date endTime);


    List<HtAnalogData> list(@Param("startTime") Date startTime,
                            @Param("endTime") Date endTime,
                            @Param("deviceCode") String deviceCode);


    List<HtAnalogData> page(@Param("current") Integer current,
                            @Param("size") Integer size,
                            @Param("startTime") Date startTime,
                            @Param("endTime") Date endTime);


    List<Map<String, Object>> getDateList(@Param("startTime") Date startTime,
                                          @Param("endTime") Date endTime);

    List<HtAnalogDataVo> yearOnYearOne(@Param("deviceCode") List deviceCode,
                                       @Param("startTime") String startTime,
                                       @Param("endTime") String endTime,
                                       @Param("variableCoding") List variableCoding);

    List<HtAnalogDataVo> yearOnYearTwo(@Param("deviceCode") List deviceCode,
                                       @Param("startTime") String startTime,
                                       @Param("endTime") String endTime,
                                       @Param("variableCoding") List variableCoding);

    @MapKey("PNA_ID")
    List<HtAnalogDataVo> yearOnYearThree(@Param("deviceCode") List deviceCode,
                                         @Param("startTime") String startTime,
                                         @Param("endTime") String endTime,
                                         @Param("variableCoding") List variableCoding,
                                         @Param("list") List<String> fieldDisplay);

    List<HtAnalogDataVo> dayMaxDataList(@Param("deviceCode") List deviceCode,
                                        @Param("startTime") String startTime,
                                        @Param("endTime") String endTime,
                                        @Param("variableCoding") List variableCoding);

    List<HtAnalogDataVo> dayMinDataList(@Param("deviceCode") List deviceCode,
                                        @Param("startTime") String startTime,
                                        @Param("endTime") String endTime,
                                        @Param("variableCoding") List variableCoding);

    List<HtAnalogDataVo> daySumDataList(@Param("deviceCode") List deviceCode,
                                        @Param("startTime") String startTime,
                                        @Param("endTime") String endTime,
                                        @Param("variableCoding") List variableCoding);

    List<HtAnalogDataVo> monthMaxDataList(@Param("deviceCode") List deviceCode,
                                          @Param("startTime") String startTime,
                                          @Param("endTime") String endTime,
                                          @Param("variableCoding") List variableCoding);

    List<HtAnalogDataVo> monthMinDataList(@Param("deviceCode") List deviceCode,
                                          @Param("startTime") String startTime,
                                          @Param("endTime") String endTime,
                                          @Param("variableCoding") List variableCoding);

    List<HtAnalogDataVo> monthSumDataList(@Param("deviceCode") List deviceCode,
                                          @Param("startTime") String startTime,
                                          @Param("endTime") String endTime,
                                          @Param("variableCoding") List variableCoding);

    List<HtAnalogDataVo> energyUseList(@Param("deviceCode") String deviceCode,
                                       @Param("startTime") String startTime,
                                       @Param("endTime") String endTime,
                                       @Param("cycle") Integer cycle,
                                       @Param("sign") Integer sign);

    List<HtAnalogDataVo> demandAnalysisList(@Param("deviceCode") String deviceCode,
                                            @Param("monthDate") String monthDate);


    List<HtAnalogDataOneVo> energyUseListOne(@Param("deviceCode") String deviceCode,
                                             @Param("startTime") String startTime,
                                             @Param("endTime") String endTime,
                                             @Param("cycle") Integer cycle,
                                             @Param("sign") Integer sign,
                                             @Param("size") Integer size,
                                             @Param("startCurrent") Integer startCurrent);

}
