package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.PatrolInspectionRecord;
import com.bizmatics.model.PatrolInspectors;
import com.bizmatics.model.vo.CurrencyDroplistVo;
import com.bizmatics.model.vo.PatrolInspectionRecordVo;
import com.bizmatics.model.vo.PatrolRouteContentListVo;
import com.bizmatics.model.vo.PatrolRouteContentTimingVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-10-20
 */
public interface PatrolInspectionRecordMapper extends CrudMapper<PatrolInspectionRecord> {

    List<PatrolInspectionRecordVo> patrolInspectionRecordList(@Param("inspectionSchemeId") Integer inspectionSchemeId,
                                                              @Param("siteId") Integer siteId,
                                                              @Param("id") Integer id,
                                                              @Param("startCurrent") Integer startCurrent,
                                                              @Param("current") Integer current);

    List<PatrolInspectors> patrolInspectorsList(@Param("teamId") Integer teamId);


    List<PatrolRouteContentListVo> patrolRouteContentList(@Param("siteId") Integer siteId,
                                                          @Param("inspectionSchemeId") Integer inspectionSchemeId);

    List<PatrolRouteContentTimingVo> patrolRouteContentTimingVoList(@Param("inspectionRouteId") Integer inspectionRouteId);

    List<CurrencyDroplistVo> patrolInspectionRecordSiteDroplist(@Param("userId") Integer userId);

    List<CurrencyDroplistVo> patrolInspectionRecordPlanDroplist();


}
