package com.bizmatics.persistence.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bizmatics.model.Device;
import com.bizmatics.model.HtAnalogData;
import com.bizmatics.model.RtAnalogData;
import com.bizmatics.common.mvc.base.CrudMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Repository
public interface RtAnalogDataMapper extends CrudMapper<RtAnalogData> {


    /**
     * 查询电力总负荷
     * @param userId
     * @param siteId
     * @return
     */
    Double selectTotalLoad(@Param("userId") Integer userId,
                        @Param("siteId") Integer siteId);



    List<RtAnalogData> list(@Param("userId") Integer userId);


    Map<String,Object> getOneMap(@Param("siteId")Integer siteId);

    List<HtAnalogData> getDataReportMap(@Param("siteId")Integer siteId, @Param("startTime") Date startTime, @Param("endTime")Date endTime);
    List<Device> getDeviceListMap(@Param("siteId")Integer siteId);
    List<HtAnalogData> getDataReportDMap(@Param("deviceCode")List deviceCode, @Param("startTime") Date startTime, @Param("endTime")Date endTime);
    List<HtAnalogData> getDataReportMMap(@Param("deviceCode")List deviceCode, @Param("startTime") Date startTime, @Param("endTime")Date endTime);

    Page<HtAnalogData> getDataReportMap1(Page<HtAnalogData> page, @Param("siteId")Integer siteId, @Param("startTime") Date startTime, @Param("endTime")Date endTime);
    Page<HtAnalogData> getDataReportDMap1(Page<HtAnalogData> page, @Param("deviceCode")List deviceCode, @Param("startTime") Date startTime, @Param("endTime")Date endTime);
    Page<HtAnalogData> getDataReportMMap1(Page<HtAnalogData> page, @Param("deviceCode")List deviceCode, @Param("startTime") Date startTime, @Param("endTime")Date endTime);

}
