package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.AlarmPower;
import com.bizmatics.service.vo.AlarmGradeVO;
import com.bizmatics.service.vo.AlarmVO;
import com.bizmatics.service.vo.ApCountVO;
import com.bizmatics.service.vo.CommonIcoVO;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 电力告警 服务类
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
public interface AlarmPowerService extends CrudService<AlarmPower> {

    /**
     * 告警总数和未处理告警总数
     * @return
     */
    ApCountVO selectCount(Integer siteId,Date startTime,Date endTime);

    /**
     * 告警趋势图
     * @return
     */
    List<CommonIcoVO> selectByDate(Date startTime,Date endTime,Integer siteId);

    /**
     * list
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @param status 状态
     * @param siteId 站点id
     * @return
     */
    CommonPage<AlarmPower> page(Date startTime, Date endTime, Integer status, Integer siteId, Integer current, Integer size);

    /**
     * 告警等级统计
     * @param siteId
     * @param startTime
     * @param endTime
     * @return
     */
    CommonPage<AlarmGradeVO> alarmGradeCount(Integer siteId,Date startTime,Date endTime,Integer current,Integer size);

    /**
     * 告警等级集合
     * @param siteId
     * @param startTime
     * @param endTime
     * @param current
     * @param size
     * @param type
     * @return
     */
    CommonPage<AlarmPower> alarmGradeList(Integer siteId,Date startTime,Date endTime,Integer current,Integer size,Integer type);


    /**
     * 告警详情
     * @param id
     * @return
     */
    AlarmVO getOne(Long id);




    List<Map<String,Object>> getLoopStatusList(Integer siteId);


    /**
     * list
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @param status 状态
     * @param siteId 站点id
     * @return
     */
    String export(Date startTime, Date endTime, Integer status, Integer siteId);


    /**
     * 运行状态
      * @param startTime 开始时间
     * @param endTime 结束时间
     * @param siteId 站点
     * @return
     */
    List<CommonIcoVO> runStatus(Date startTime, Date endTime,Integer siteId);
}
