package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.Device;
import com.bizmatics.model.DeviceList;
import com.bizmatics.model.vo.CorrespondDeviceListVO;
import com.bizmatics.model.vo.CorrespondDeviceVO;
import com.bizmatics.model.vo.DeviceOneVo;
import com.bizmatics.service.vo.DeviceCountVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.Date;
import java.util.List;

/**
 * 设备
 *
 * @author ya
 * @since 2021-07-07
 */
public interface DeviceService extends CrudService<Device> {

    /**
     * 查询不同状态设备数量
     *
     * @return
     */
    DeviceCountVO selectDeviceCount(Date startTime, Date endTime);


    /**
     * 查询不同类型的设备数量
     *
     * @param site
     * @return
     */
    DeviceCountVO selectDeviceCountByType(Integer site);

    List<Device> list(Integer userId,Integer siteId,Integer deviceStatus,Date startTime,Date endTime,String type);

    List<DeviceList> deviceList(String siteId);

    List<DeviceOneVo> dataManagementDeviceList(int siteId, int deviceType);

    void correspondDeviceAdd(Device device);

    void correspondDeviceUpdate(Device device);

    void correspondDeviceDel(int id);

    CommonPage<CorrespondDeviceVO> correspondDeviceList(String deviceName, int size, int current);

    List<CorrespondDeviceListVO> correspondDeviceListEcho(int id);

    CommonPage<Device> videoMonitoringDeviceList(String deviceName, Integer deviceType, Integer siteId, Integer size, Integer current);

    void variableCloning(Integer type, String newDeviceCode, String oldDeviceCode, String deviceName);

    List<Device> deviceListOne(Integer siteId,Integer deviceType);

    String deviceExport(String deviceName, Integer deviceType, Integer siteId);

    String correspondDeviceExport(String deviceName);

    void deviceImport(MultipartFile multipartFile);


    List<DeviceOneVo> deviceBoxList(Integer siteId);
}
