package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.DevopsWorkOrder;
import com.bizmatics.model.PatrolInspectors;
import com.bizmatics.model.vo.*;

import java.util.List;

/**
 * 运维管理-工单管理
 *
 * @author ya
 * @since 2021-10-21
 */
public interface DevopsWorkOrderService extends CrudService<DevopsWorkOrder> {
    void devopsWorkOrderAdd(DevopsWorkOrderVo devopsWorkOrderVo);

    void devopsWorkOrderUpdate(DevopsWorkOrderVo devopsWorkOrderVo);

    void devopsWorkOrderDel(Integer id);

    void devopsOrderDeviceDel(Integer inspectionDeviceId);

    void devopsOrderInspectorsDel(Integer inspectorsId);

    CommonPage<DevopsWorkOrderListVo> devopsWorkOrderList(Integer generationMode, Integer workOrderStatus, Integer siteId, Integer inspectorsId, Integer size, Integer current);

    List<DevopsWorkOrderDetailsVo> devopsWorkOrderDetails(Integer id);

    List<PatrolInspectors> patrolInspectorsDroplist();

    List<PatrolInspectionTeamOneVo> PatrolInspectionTeamList();

    List<OpexStatisticsVo> operationCensus(String type);

    CommonPage<ProcessingTimeVo> workloadStatisticsLits(Integer siteId, String startTime, String endTime,Integer size , Integer current);

    String workloadStatisticsExport(Integer siteId, String startTime, String endTime);
}
