package com.bizmatics.service;

import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.HtAnalogData;
import com.bizmatics.model.vo.DataManagementOneVO;
import com.bizmatics.model.vo.HtAnalogDataOneVo;
import com.bizmatics.service.vo.CommonIcoVO;
import com.bizmatics.service.vo.HadCountVO;
import com.bizmatics.service.vo.RealScoreVO;
import com.bizmatics.service.vo.TimeShareVO;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
public interface HtAnalogDataService extends CrudService<HtAnalogData> {


    /**
     * 日/月/年用电量
     *
     * @return
     */
    HadCountVO selectCount();

    /**
     * 用电趋势图
     *
     * @param siteId
     * @return
     */
    List<CommonIcoVO> selectTrendByDate(Integer siteId);


    /**
     * 用电趋势图
     *
     * @return
     */
    List<CommonIcoVO> selectTrendByMonth();


    /**
     * 站点日/月/年用电量
     *
     * @return
     */
    HadCountVO getCountBySite(Integer siteId);


    /**
     * 分时电量
     *
     * @param siteId
     * @param type
     * @return
     */
    TimeShareVO getTimeShare(Integer siteId, Integer type);

    /**
     * 需量趋势图
     *
     * @param siteId
     * @return
     */
    List<CommonIcoVO> getDemandIco(Integer siteId);

    /**
     * 电流
     *
     * @param siteId
     * @param date
     * @return
     */
    List<CommonIcoVO> getElectricIco(Integer siteId, Date date);

    /**
     * 根据设备和时间查看电流电压
     *
     * @param deviceCode
     * @param startTime
     * @param endTime
     * @return
     */
    List<RealScoreVO> rtRealScore(String deviceCode, Date startTime, Date endTime);

    List<CommonIcoVO> yearOnYearList(DataManagementOneVO dataManagementOneVO);

    List<CommonIcoVO> ringRatioList(DataManagementOneVO dataManagementOneVO);

    List<CommonIcoVO> monthlyReport(String deviceCode, int cycle, String startTime, String endTime);

    List<CommonIcoVO> demandAnalysis(String deviceCode, String monthDate, int cycle);

    String monthlyReportExport(String deviceCode, String startTime, String endTime, int cycle);

    List<HtAnalogDataOneVo> monthlyReportlist(String deviceCode, String startTime, String endTime, int cycle, Integer startCurrent);


}
