package com.bizmatics.service;

import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.DeviceAttribute;
import com.bizmatics.model.RtAnalogData;
import com.bizmatics.model.SiteDynamicProperties;
import com.bizmatics.service.vo.RadCountVO;
import com.bizmatics.service.vo.RealScoreOneVO;
import com.bizmatics.service.vo.RealScoreVO;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
public interface RtAnalogDataService extends CrudService<RtAnalogData> {


    /**
     * 汇总
     * @return
     */
    RadCountVO selectCount();

    /**
     * 查看实时数据详情
     * @param siteId 站点id
     * @return
     */
    List<Map<String,Object>> getOne(Integer siteId);

    /**
     * 实时负荷
     * @param siteId
     * @return
     */
    Double getEpLoad(Integer siteId);

    /**
     * 电能质量(实时评分)
     * @param deviceCode
     * @return
     */
    RealScoreVO realScore(String deviceCode);

    /**
     * 电能质量(单回路监测)
     * @param deviceCode
     * @return
     */
    RealScoreOneVO realScoreOne(String deviceCode);

    /**
     * 填充数据
     * @param rtAnalogData
     * @param siteDynamicProperties
     * @param deviceAttribute
     * @return
     */
    RealScoreVO fillRealScoreData(RtAnalogData rtAnalogData, SiteDynamicProperties siteDynamicProperties, DeviceAttribute deviceAttribute);

    RealScoreOneVO fillRealScoreDataOne(RtAnalogData rtAnalogData, SiteDynamicProperties siteDynamicProperties);

    /**
     *
     * @param siteId
     * @param startTime
     * @param endTime
     * @param queryType
     * @return
     */
    List<Map<String,Object>> getDataReport(Integer siteId,Date startTime, Date endTime,String queryType);

    /**
     *
     * @param siteId
     * @param startTime
     * @param endTime
     * @param queryType
     * @return
     */
    List<Map<String,Object>> getHistoricalCurve(Integer siteId,Date startTime, Date endTime,String queryType);

    /**
     *
     * @param siteId
     * @param startTime
     * @param endTime
     * @param queryType
     * @return
     */
    String DataReportExport(Integer siteId,Date startTime, Date endTime,String queryType);

}
