package com.bizmatics.service;

import com.bizmatics.model.*;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.service.vo.DeviceCountVO;
import com.bizmatics.service.vo.SiteVO;
import com.bizmatics.service.vo.SiteVOT;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
public interface SiteService extends CrudService<Site> {


    /**
     * 查看不同状态的站点数量
     * @return
     */
    DeviceCountVO selectCount();


    /**
     * 查看站点列表
     * @param name
     * @return
     */
    List<Site> list(String name);

    /**
     * 查看站点列表
     * @param name
     * @return
     */
    List<Site> siteList(String name);


    /**
     * 查看站点和状态
     * @param name
     * @return
     */
    List<SiteVO> siteAndStatusList(String name);




    /**
     * 查看站点详情
     * @param siteId
     * @return
     */
    SiteVO getOne(Long siteId);


    void siteAdd(@Param("siteVOT") SiteVOT siteVOT);

    /**
     *
     * @param id
     * @return
     */
    List<TemplateData> getSite(@Param("id") String id);

    void siteUpdate(@Param("id") SiteVOT siteVOT);
    void sitedel(@Param("id") String id);

    /**
     * 查看站点列表
     * @param name
     * @return
     */
    List<Map<String, Object>> sitelist(String name);

    List<DeviceAnalogVariableList> dynamicPropertiesDroplist(Integer siteId, Integer dataArea);

    List<Route> routeDroplist();
}

