package com.bizmatics.service.config.security.handle;

import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.mvc.utils.ServletUtils;
import com.bizmatics.common.spring.util.JsonUtils;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.AuthenticationEntryPoint;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.Serializable;


/**
 * 认证失败处理类 返回未授权
 * 
 * @author yq
 */
@Component
public class AuthenticationEntryPointImpl implements AuthenticationEntryPoint, Serializable
{
    private static final long serialVersionUID = -8970718410437077606L;

    @Override
    public void commence(HttpServletRequest request, HttpServletResponse response, AuthenticationException e)
            throws IOException
    {
        String msg = StringUtils.format("请求访问：{}，认证失败，无法访问系统资源", request.getRequestURI());
        ServletUtils.renderString(response, JsonUtils.toJson(ApiResult.error("401", msg)));
    }
}
