package com.bizmatics.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.model.ConsumeEnergyConfig;
import com.bizmatics.persistence.mapper.ConsumeEnergyConfigMapper;
import com.bizmatics.service.ConsumeEnergyConfigService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 能源配置
 *
 * @author ya
 * @since 2021-10-13
 */
@Service
public class ConsumeEnergyConfigServiceImpl extends AbstractCrudService<ConsumeEnergyConfigMapper, ConsumeEnergyConfig> implements ConsumeEnergyConfigService {

    @Override
    public List<ConsumeEnergyConfig> list(int siteId) {
        LambdaQueryWrapper<ConsumeEnergyConfig> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(ConsumeEnergyConfig::getSiteId, siteId).eq(ConsumeEnergyConfig::getEnable, 1);
        return this.list(queryWrapper);
    }
}
