package com.bizmatics.service.impl;

import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.model.Facility;
import com.bizmatics.persistence.mapper.FacilityMapper;
import com.bizmatics.service.FacilityService;
import com.bizmatics.service.enums.ObjectCode;
import com.bizmatics.service.vo.FacilityCountVO;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @author yq
 * @date 2021/7/12 9:02
 */
@Service
public class FacilityServiceImpl extends AbstractCrudService<FacilityMapper, Facility> implements FacilityService {
    @Override
    public List<FacilityCountVO> getCount(Integer siteId) {
        List<FacilityCountVO> list = new ArrayList<>();
        list.add(new FacilityCountVO(ObjectCode.BOX_TYPE.getName(), baseMapper.selectCount(siteId, ObjectCode.BOX_TYPE.getName())));
        list.add(new FacilityCountVO(ObjectCode.POLE_TYPE.getName(), baseMapper.selectCount(siteId, ObjectCode.POLE_TYPE.getName())));
        list.add(new FacilityCountVO(ObjectCode.EP_TYPE.getName(), baseMapper.selectCount(siteId, ObjectCode.EP_TYPE.getName())));
        return list;
    }
}
