package com.bizmatics.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.bizmatics.common.core.util.Arith;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.model.HadSiteStatic;
import com.bizmatics.persistence.mapper.HadSiteStaticMapper;
import com.bizmatics.service.HadSiteStaticService;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ya
 * @since 2021-07-20
 */
@Service
public class HadSiteStaticServiceImpl extends AbstractCrudService<HadSiteStaticMapper, HadSiteStatic> implements HadSiteStaticService {



    @Override
    public HadSiteStatic oneBySite(Integer siteId, Date startTime, Date endTime) {
        LambdaQueryWrapper<HadSiteStatic> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper
                .eq(HadSiteStatic::getSiteId,siteId)
                .between(HadSiteStatic::getHadTime,startTime,endTime);
        return this.getOne(queryWrapper);
    }

    @Override
    public List<HadSiteStatic> list(Integer siteId, Date startTime, Date endTime) {
        LambdaQueryWrapper<HadSiteStatic> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper
                .eq(HadSiteStatic::getSiteId,siteId)
                .between(HadSiteStatic::getHadTime,startTime,endTime);
        return this.list(queryWrapper);
    }

    @Override
    public List<HadSiteStatic> list(Integer siteId, Date startTime, Date endTime,Integer userId) {
        return baseMapper.list(userId,startTime,endTime,siteId);
    }

    @Override
    public Double getCount(Integer userId, Date startTime, Date endTime,Integer siteId) {
        Double aDouble = baseMapper.selectCount(userId, startTime, endTime, siteId);
        return Arith.div(aDouble,1,2);
    }
}
