package com.bizmatics.service.impl;

import com.bizmatics.model.PatrolDeviceType;
import com.bizmatics.model.system.SysUser;
import com.bizmatics.model.vo.PatrolDeviceListVO;
import com.bizmatics.persistence.mapper.PatrolDeviceTypeMapper;
import com.bizmatics.service.PatrolDeviceTypeService;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.service.util.SecurityUtils;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 检查条目设备类型
 *
 * @author ya
 * @since 2021-10-15
 */
@Service
public class PatrolDeviceTypeServiceImpl extends AbstractCrudService<PatrolDeviceTypeMapper, PatrolDeviceType> implements PatrolDeviceTypeService {
    @Override
    public void patrolDeviceTypeAdd(String deviceTypeName) {
        SysUser user = SecurityUtils.getLoginUser().getUser();
        PatrolDeviceType patrolDeviceType = new PatrolDeviceType();
        patrolDeviceType.setDeviceTypeName(deviceTypeName);
        patrolDeviceType.setCreator(user.getUserName());
        patrolDeviceType.setCreateTime(new Date());
        patrolDeviceType.setStatus(1);
        this.save(patrolDeviceType);
    }

    @Override
    public void patrolDeviceTypeUpdate(Integer id, String deviceTypeName) {
        PatrolDeviceType patrolDeviceType = new PatrolDeviceType();
        patrolDeviceType.setId(id);
        patrolDeviceType.setDeviceTypeName(deviceTypeName);
        this.updateById(patrolDeviceType);
    }

    @Override
    public void patrolDeviceTypeDel(Integer id) {
        PatrolDeviceType patrolDeviceType = new PatrolDeviceType();
        patrolDeviceType.setId(id);
        patrolDeviceType.setStatus(0);
        this.updateById(patrolDeviceType);
    }


    @Override
    public List<PatrolDeviceListVO> patrolDeviceTypeList(String deviceTypeName, Integer id) {
        List<PatrolDeviceListVO> patrolDeviceTypeList = baseMapper.patrolDeviceList(deviceTypeName, id);
        return patrolDeviceTypeList;
    }


}
