package com.bizmatics.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.model.PatrolInspectionRecord;
import com.bizmatics.model.PatrolInspectors;
import com.bizmatics.model.PatrolRecordRoute;
import com.bizmatics.model.system.SysUser;
import com.bizmatics.model.vo.CurrencyDroplistVo;
import com.bizmatics.model.vo.PatrolInspectionRecordDetailsVo;
import com.bizmatics.model.vo.PatrolInspectionRecordVo;
import com.bizmatics.model.vo.PatrolRouteContentListVo;
import com.bizmatics.persistence.mapper.PatrolInspectionRecordMapper;
import com.bizmatics.service.PatrolInspectionRecordService;
import com.bizmatics.service.PatrolRecordRouteService;
import com.bizmatics.service.util.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * 巡检记录
 *
 * @author ya
 * @since 2021-10-20
 */
@Service
public class PatrolInspectionRecordServiceImpl extends AbstractCrudService<PatrolInspectionRecordMapper, PatrolInspectionRecord> implements PatrolInspectionRecordService {

    @Autowired
    private PatrolRecordRouteService patrolRecordRouteService;

    @Override
    public CommonPage<PatrolInspectionRecordVo> patrolInspectionRecordList(Integer inspectionSchemeId, Integer siteId, Integer size, Integer current) {
        List<PatrolInspectionRecordVo> patrolInspectionRecordListOne = baseMapper.patrolInspectionRecordList(inspectionSchemeId, siteId, 0, 0, 0);
        int total = 0;
        if (patrolInspectionRecordListOne.size() > 0) {
            total = patrolInspectionRecordListOne.size();
        }
        int startCurrent = (size - 1) * current;
        List<PatrolInspectionRecordVo> correspondDeviceList = baseMapper.patrolInspectionRecordList(inspectionSchemeId, siteId, 0, startCurrent, current);
        return new CommonPage<>(correspondDeviceList, total, current, size);
    }

    @Override
    public List<PatrolInspectionRecordDetailsVo> patrolInspectionRecordDetails(Integer id) {
        List<PatrolRouteContentListVo> patrolRouteContentListVoList = new ArrayList<>();
        Integer inspectionDeviceAbnormalCount = 0;
        //记录查询
        List<PatrolInspectionRecordVo> patrolInspectionRecordList = baseMapper.patrolInspectionRecordList(null, 0, id, 0, 0);
        //团队人员查询
        List<PatrolInspectors> PatrolInspectorsList = baseMapper.patrolInspectorsList(patrolInspectionRecordList.get(0).getInspectionTeamId());
        List<PatrolRouteContentListVo> patrolRouteContentList = baseMapper.patrolRouteContentList(patrolInspectionRecordList.get(0).getSiteId(), patrolInspectionRecordList.get(0).getInspectionSchemeId());
        for (int i= 0; i<patrolRouteContentList.size();i++){

            LambdaQueryWrapper<PatrolRecordRoute> queryWrapper = Wrappers.lambdaQuery();
            queryWrapper.eq(PatrolRecordRoute::getInspectionRecordId, patrolInspectionRecordList.get(0).getId())
                    .eq(PatrolRecordRoute::getInspectionContentId,patrolRouteContentList.get(i).getInspectionContentId());
            List<PatrolRecordRoute> patrolInspectionSchemeList = patrolRecordRouteService.list(queryWrapper);

            PatrolRouteContentListVo patrolRouteContentListVo = new PatrolRouteContentListVo();
            patrolRouteContentListVo.setId(patrolRouteContentList.get(i).getId());
            patrolRouteContentListVo.setInspectionRouteId(patrolRouteContentList.get(i).getInspectionRouteId());
            patrolRouteContentListVo.setInspectionContentId(patrolRouteContentList.get(i).getInspectionContentId());
            patrolRouteContentListVo.setInspectionContentName(patrolRouteContentList.get(i).getInspectionContentName());
            patrolRouteContentListVo.setInspectionDeviceName(patrolRouteContentList.get(i).getInspectionDeviceName());
            patrolRouteContentListVo.setCreator(patrolRouteContentList.get(i).getCreator());
            patrolRouteContentListVo.setCreateTime(patrolRouteContentList.get(i).getCreateTime());
            patrolRouteContentListVo.setStatus(patrolRouteContentList.get(i).getStatus());
            patrolRouteContentListVo.setPatrolRecordRoute(patrolInspectionSchemeList);
            List inspectionDeviceAbnormalList = new ArrayList();
            for (int j = 0;j<patrolInspectionSchemeList.size();j++){
                inspectionDeviceAbnormalList.add(patrolInspectionSchemeList.get(j).getStatus());
            }
            if (inspectionDeviceAbnormalList.contains(2)){
                inspectionDeviceAbnormalCount=inspectionDeviceAbnormalCount+1;
            }
            patrolRouteContentListVoList.add(patrolRouteContentListVo);
        }

        List<PatrolInspectionRecordDetailsVo> list = new ArrayList<>();
        list.add(PatrolInspectionRecordDetailsVo.builder()
                .id(patrolInspectionRecordList.get(0).getId())
                .inspectionSchemeName(patrolInspectionRecordList.get(0).getInspectionSchemeName())
                .inspectionNumber(patrolInspectionRecordList.get(0).getInspectionNumber())
                .status(patrolInspectionRecordList.get(0).getStatus())
                .createTime(patrolInspectionRecordList.get(0).getCreateTime())
                .executionTime(patrolInspectionRecordList.get(0).getExecutionTime())
                .inspectionDeviceCount(patrolRouteContentList.size())
                .completionTime(patrolInspectionRecordList.get(0).getCompletionTime())
                .siteName(patrolInspectionRecordList.get(0).getSiteName())
                .creator(patrolInspectionRecordList.get(0).getCreator())
                .inspectorsName(PatrolInspectorsList.get(0).getInspectorsName())
                .inspectionRouteName(patrolInspectionRecordList.get(0).getInspectionRouteName())
                .inspectionDeviceAbnormalCount(inspectionDeviceAbnormalCount)
                .inspectionDeviceDefectCount(0)
                .siteCount(1)
                .inspectorsId(PatrolInspectorsList.get(0).getId())
                .patrolRouteContentListVo(patrolRouteContentListVoList)
                .build()
        );

        return list;
    }


    @Override
    public List<CurrencyDroplistVo> patrolInspectionRecordSiteDroplist(){
        SysUser user = SecurityUtils.getLoginUser().getUser();
        List<CurrencyDroplistVo> list = baseMapper.patrolInspectionRecordSiteDroplist(new Long(user.getUserId()).intValue());
        return list;
    }

    @Override
    public List<CurrencyDroplistVo> patrolInspectionRecordPlanDroplist(){
        List<CurrencyDroplistVo> list = baseMapper.patrolInspectionRecordPlanDroplist();
        return list;
    }
}
