package com.bizmatics.service.impl;

import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.model.SiteGrouping;
import com.bizmatics.model.system.SysUser;
import com.bizmatics.persistence.mapper.SiteGroupingMapper;
import com.bizmatics.service.SiteGroupingService;
import com.bizmatics.service.util.SecurityUtils;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * 站点分组
 *
 * @author ya
 * @since 2021-09-17
 */
@Service
public class SiteGroupingServiceImpl extends AbstractCrudService<SiteGroupingMapper, SiteGrouping> implements SiteGroupingService {

    @Override
    public void siteGroupingAdd(String groupingName) {
        SysUser user = SecurityUtils.getLoginUser().getUser();
        SiteGrouping siteGrouping = new SiteGrouping();
        siteGrouping.setGroupingName(groupingName);
        siteGrouping.setCreator(user.getUserName());
        siteGrouping.setCreationTime(LocalDateTime.now());
        this.save(siteGrouping);
    }

    @Override
    public void siteGroupingUpdate(String groupingName, int id) {
        SiteGrouping siteGrouping = new SiteGrouping();
        siteGrouping.setGroupingName(groupingName);
        siteGrouping.setId(id);
        this.updateById(siteGrouping);
    }
}
