package com.bizmatics.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.model.UserSite;
import com.bizmatics.model.system.SysUser;
import com.bizmatics.persistence.mapper.UserSiteMapper;
import com.bizmatics.service.UserSiteService;
import com.bizmatics.service.util.SecurityUtils;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Service
public class UserSiteServiceImpl extends AbstractCrudService<UserSiteMapper, UserSite> implements UserSiteService {

    @Override
    public Integer count(Integer userId) {
        LambdaQueryWrapper<UserSite> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(UserSite::getUserId,userId);
        return this.count(queryWrapper);
    }
    @Override
    public void UserSiteAdd(int SiteId){
        SysUser user = SecurityUtils.getLoginUser().getUser();
        UserSite usersite = new UserSite();
        usersite.setSiteId(SiteId);
        usersite.setUserId(user.getUserId().intValue());
        this.save(usersite);
    }
}
