package com.bizmatics.service.util;

import com.bizmatics.common.core.util.HttpUtils;
import com.bizmatics.common.core.util.StringUtils;
import com.bizmatics.common.mvc.utils.IpUtils;
import com.bizmatics.common.spring.util.JsonUtils;
import com.bizmatics.model.vo.HtAnalogDataVo;
import com.bizmatics.service.config.WjConfig;
import com.fasterxml.jackson.core.type.TypeReference;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.lang.reflect.Field;
import java.text.SimpleDateFormat;
import java.util.*;

/**
 * 伍继电力字段转义
 * 
 * @author yq
 */
public class FieldEscapeUtils
{

    public static String getLastDayOfMonth(String yearMonth) {
        int year = Integer.parseInt(yearMonth.split("-")[0]);  //年
        int month = Integer.parseInt(yearMonth.split("-")[1]); //月
        Calendar cal = Calendar.getInstance();
        // 设置年份
        cal.set(Calendar.YEAR, year);
        // 设置月份
        // cal.set(Calendar.MONTH, month - 1);
        cal.set(Calendar.MONTH, month); //设置当前月的上一个月
        // 获取某月最大天数
        //int lastDay = cal.getActualMaximum(Calendar.DATE);
        int lastDay = cal.getMinimum(Calendar.DATE); //获取月份中的最小值，即第一天
        // 设置日历中月份的最大天数
        //cal.set(Calendar.DAY_OF_MONTH, lastDay);
        cal.set(Calendar.DAY_OF_MONTH, lastDay - 1); //上月的第一天减去1就是当月的最后一天
        // 格式化日期
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        return sdf.format(cal.getTime());
    }

    public static void remove1(List<String> list) {
        Iterator<String> sListIterator = list.iterator();
        while (sListIterator.hasNext()) {
            String str = sListIterator.next();
            if (str.contains("dataTime")) {
                sListIterator.remove();
            }
        }
    }

   public static String fieldEscapeUtils(String fieldValue){
       String field=null;
       switch (fieldValue) {
           case "Busot":
               field = "母线停电次数";
               break;
           case "COS":
               field = "三相功率因数";
               break;
           case "COSa":
               field = "A相功率因数";
               break;
           case "COSb":
               field = "B相功率因数";
               break;
           case "COSc":
               field = "C相功率因数";
               break;
           case "Demand":
               field = "实时有功需量";
               break;
           case "DevResetTimes":
               field = "设备复位次数";
               break;
           case "DeviceTemp":
               field = "设备温度";
               break;
           case "Epn":
               field = "三相反向有功电度";
               break;
           case "Epn1":
               field = "尖段反向有功电度";
               break;
           case "Epn2":
               field = "峰段反向有功电度";
               break;
           case "Epn3":
               field = "平段反向有功电度";
               break;
           case "Epn4":
               field = "谷段反向有功电度";
               break;
           case "Epp":
               field = "三相正向有功电度";
               break;
           case "Epp1":
               field = "尖段正向有功电度";
               break;
           case "Epp2":
               field = "峰段正向有功电度";
               break;
           case "Epp3":
               field = "平段正向有功电度";
               break;
           case "Epp4":
               field = "谷段正向有功电度";
               break;
           case "Eqn":
               field = "三相反向无功电度";
               break;
           case "Eqp":
               field = "三相正向无功电度";
               break;
           case "F":
               field = "频率";
               break;
           case "I0":
               field = "零序电流";
               break;
           case "I2":
               field = "负序电流";
               break;
           case "IHa":
               field = "A相总谐波电流";
               break;
           case "IHb":
               field = "B相总谐波电流";
               break;
           case "IHc":
               field = "C相总谐波电流";
               break;
           case "Ia":
               field = "A相电流";
               break;
           case "Ib":
               field = "B相电流";
               break;
           case "Ic":
               field = "C相电流";
               break;
           case "Ir":
               field = "剩余电流";
               break;
           case "LastDayMD":
               field = "昨日有功最大需量";
               break;
           case "LastDayMDt":
               field = "昨日有功最大需量发生时间";
               break;
           case "P":
               field = "三相总有功功率";
               break;
           case "Pa":
               field = "A相有功功率";
               break;
           case "Pb":
               field = "B相有功功率";
               break;
           case "Pc":
               field = "C相有功功率";
               break;
           case "Q":
               field = "三相总无功功率";
               break;
           case "Qa":
               field = "A相无功功率";
               break;
           case "Qb":
               field = "B相无功功率";
               break;
           case "Qc":
               field = "C相无功功率";
               break;
           case "SignalIntensity":
               field = "信号强度";
               break;
           case "T1":
               field = "第1路温度";
               break;
           case "T2":
               field = "第2路温度";
               break;
           case "T3":
               field = "第3路温度";
               break;
           case "T4":
               field = "第4路温度";
               break;
           case "THDUa":
               field = "A相电压THD";
               break;
           case "THDUb":
               field = "B相电压THD";
               break;
           case "THDUc":
               field = "C相电压THD";
               break;
           case "Ua":
               field = "A相电压";
               break;
           case "Uab":
               field = "AB线电压";
               break;
           case "Ub":
               field = "B相电压";
               break;
           case "Ubc":
               field = "BC线电压";
               break;
           case "UblU0":
               field = "零序电压不平衡度";
               break;
           case "UblU2":
               field = "负序电压不平衡度";
               break;
           case "Uc":
               field = "C相电压";
               break;
           case "Uca":
               field = "CA线电压";
               break;
           case "Udt":
               field = "电压暂降次数";
               break;
           case "Ul":
               field = "线路侧电压";
               break;
           case "Upt":
               field = "电压暂升次数";
               break;
           case "Ust":
               field = "电压短时中断次数";
               break;
           default:
               field = "未定义";
       }
       return field;
   }


   public static Object transformation(HtAnalogDataVo htAnalogDataVo,String fieldValue){

       switch (fieldValue) {
           case "Busot":
               return htAnalogDataVo.getBusot();
//               break;
           case "COS":
               return htAnalogDataVo.getCos();
//               break;
           case "COSa":
               return htAnalogDataVo.getCOSa();
//               break;
           case "COSb":
               return htAnalogDataVo.getCOSb();
//               break;
           case "COSc":
               return htAnalogDataVo.getCOSc();
//               break;
           case "Demand":
               return htAnalogDataVo.getDemand();
//               break;
           case "DevResetTimes":
               return htAnalogDataVo.getDevResetTimes();
//               break;
           case "DeviceTemp":
               return htAnalogDataVo.getDeviceTemp();
//               break;
           case "Epn":
               return htAnalogDataVo.getEpn();
//               break;
           case "Epn1":
               return htAnalogDataVo.getEpn1();
//               break;
           case "Epn2":
               return htAnalogDataVo.getEpn2();
//               break;
           case "Epn3":
               return htAnalogDataVo.getEpn3();
//               break;
           case "Epn4":
               return htAnalogDataVo.getEpn4();
//               break;
           case "Epp":
               return htAnalogDataVo.getEpp();
//               break;
           case "Epp1":
               return htAnalogDataVo.getEpp1();
//               break;
           case "Epp2":
               return htAnalogDataVo.getEpp2();
//               break;
           case "Epp3":
               return htAnalogDataVo.getEpp3();
//               break;
           case "Epp4":
               return htAnalogDataVo.getEpp4();
//               break;
           case "Eqn":
               return htAnalogDataVo.getEqn();
//               break;
           case "Eqp":
               return htAnalogDataVo.getEqp();
//               break;
           case "F":
               return htAnalogDataVo.getF();
//               break;
           case "I0":
               return htAnalogDataVo.getI0();
//               break;
           case "I2":
               return htAnalogDataVo.getI2();
//               break;
           case "IHa":
               return htAnalogDataVo.getIHa();
//               break;
           case "IHb":
               return htAnalogDataVo.getIHb();
//               break;
           case "IHc":
               return htAnalogDataVo.getIHc();
//               break;
           case "Ia":
               return htAnalogDataVo.getIa();
//               break;
           case "Ib":
               return htAnalogDataVo.getIb();
//               break;
           case "Ic":
               return htAnalogDataVo.getIc();
//               break;
           case "Ir":
               return htAnalogDataVo.getIr();
//               break;
           case "LastDayMD":
               return htAnalogDataVo.getLastDayMD();
//               break;
           case "LastDayMDt":
               return htAnalogDataVo.getLastDayMDt();
//               break;
           case "P":
               return htAnalogDataVo.getP();
//               break;
           case "Pa":
               return htAnalogDataVo.getPa();
//               break;
           case "Pb":
               return htAnalogDataVo.getPb();
//               break;
           case "Pc":
               return htAnalogDataVo.getPc();
//               break;
           case "Q":
               return htAnalogDataVo.getQ();
//               break;
           case "Qa":
               return htAnalogDataVo.getQa();
//               break;
           case "Qb":
               return htAnalogDataVo.getQb();
//               break;
           case "Qc":
               return htAnalogDataVo.getQc();
//               break;
           case "SignalIntensity":
               return htAnalogDataVo.getSignalIntensity();
//               break;
           case "T1":
               return htAnalogDataVo.getT1();
//               break;
           case "T2":
               return htAnalogDataVo.getT2();
//               break;
           case "T3":
               return htAnalogDataVo.getT3();
//               break;
           case "T4":
               return htAnalogDataVo.getT4();
//               break;
           case "THDUa":
               return htAnalogDataVo.getTHDUa();
//               break;
           case "THDUb":
               return htAnalogDataVo.getTHDUb();
//               break;
           case "THDUc":
               return htAnalogDataVo.getTHDUc();
//               break;
           case "Ua":
               return htAnalogDataVo.getUa();
//               break;
           case "Uab":
               return htAnalogDataVo.getUab();
//               break;
           case "Ub":
               return htAnalogDataVo.getUb();
//               break;
           case "Ubc":
               return htAnalogDataVo.getUbc();
//               break;
           case "UblU0":
               return htAnalogDataVo.getUblU0();
//               break;
           case "UblU2":
               return htAnalogDataVo.getUblU2();
//               break;
           case "Uc":
               return htAnalogDataVo.getUc();
//               break;
           case "Uca":
               return htAnalogDataVo.getUca();
//               break;
           case "Udt":
               return htAnalogDataVo.getUdt();
//               break;
           case "Ul":
               return htAnalogDataVo.getUl();
//               break;
           case "Upt":
               return htAnalogDataVo.getUpt();
//               break;
           case "Ust":
               return htAnalogDataVo.getUst();
//               break;
           default:
               return null;
       }
   }

    public static String getStringAbel(List<?> o, Class<?> c, String field) {
        StringBuffer result = new StringBuffer();
        if (StringUtils.isNoneBlank(field)) {
            Field[] fields = c.getDeclaredFields();
            int pos;
            for (pos = 0; pos < fields.length; pos++) {
                if (field.equals(fields[pos].getName())) {
                    break;
                }
            }
            for (Object o1 : o) {
                try {
                    fields[pos].setAccessible(true);
                    result.append(fields[pos].get(o1) + ",");
                } catch (Exception e) {
                    System.out.println("error--------" + "Reason is:" + e.getMessage());
                }
            }
        }
        return result.deleteCharAt(result.length() - 1).toString();
    }
}
