package com.bizmatics.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 设备变量列表
 * </p>
 *
 * @author ya
 * @since 2021-09-24
 */
@Data
public class DeviceAnalogVariableListImport{
    /**
     * 设备编号
     */
    @Excel(name = "设备编号")
    private String deviceCode;

    /**
     * 变量名
     */
    @Excel(name = "变量名")
    private String variableName;

    /**
     * 变量编码
     */
    @Excel(name = "变量编码")
    private String variableCoding;

    /**
     * 监控设备
     */
    @Excel(name = "监控设备ID")
    private Integer monitoringEquipment;

    /**
     * 通信设备
     */
    @Excel(name = "通信设备ID")
    private Integer communicationEquipment;

    /**
     * 数据地址
     */
    @Excel(name = "数据地址")
    private String dataAddress;

    /**
     * 数据类型
     */
    @Excel(name = "数据类型")
    private String dataType;

    /**
     * 系数
     */
    @Excel(name = "系数")
    private Float coefficient;

    /**
     * 存盘周期（分钟）
     */
    @Excel(name = "存盘周期")
    private Integer saveCycle;

    /**
     * 1.模拟量 2.状态量 3.参数量
     */
    @Excel(name = "变量类型")
    private Integer dataArea;
}
