package com.bizmatics.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2021/7/13 16:21
 */
@Data
public class DeviceExportVO {
    /**
     * 设备信息表ID
     */
    private Integer id;

    /**
     * 设备编号
     */
    @Excel(name = "设备编号", height = 6, width = 20)
    private String deviceCode;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称", height = 6, width = 20)
    private String deviceName;

    /**
     * 楼层
     */
    @Excel(name = "楼层", height = 6, width = 20)
    private String floor;
    /**
     * 所属站点
     */
    @Excel(name = "所属站点ID", height = 6, width = 20)
    private Integer siteId;

    /**
     * 设备安装位置
     */
    @Excel(name = "设备安装位置", height = 6, width = 20)
    private String deviceAddress;

    /**
     * 1：183用电设备，2：视频监控设备，3：171用电设备，4：173用电设备，5：158智能网关，6：其他
     */
    @Excel(name = "设备类型", height = 6, width = 20)
    private String deviceType;

    /**
     * 安装时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Excel(name = "安装时间", height = 6, width = 20)
    private String installTime;

    /**
     * 创建人
     */
    @Excel(name = "创建人", height = 6, width = 20)
    private String creator;

    /**
     * sim卡号
     */
    @Excel(name = "sim卡号", height = 6, width = 20)
    private String sim;
}
