package com.bizmatics.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2021/7/13 16:21
 */
@Data
public class SitedtlExportVO {
    /**
     * 站点详细信息表ID
     */
    private Integer id;

    /**
     * 户号
     */
    @Excel(name = "户号", height = 6, width = 20)
    private String accountNumber;

    /**
     * 流变变化
     */
    @Excel(name = "流变变化", height = 6, width = 20)
    private String rheologicalChange;

    /**
     * 单路电源容量
     */
    @Excel(name = "单路电源容量", height = 6, width = 20)
    private Integer powerCapacity;

    /**
     * 所属线路
     */
    @Excel(name = "线路", height = 6, width = 20)
    private String routeName;

    /**
     * 所属站点
     */
    @Excel(name = "站点", height = 6, width = 20)
    private String siteName;

    /**
     * 所属监察
     */
    @Excel(name = "监察人", height = 6, width = 20)
    private String supervisionName;

    /**
     * 电缆孔洞（0 否，1 是）
     */
    @Excel(name = "电缆孔洞", height = 6, width = 20)
    private Boolean cableHole;

    /**
     * 门窗墙壁破损（0 否，1 是）
     */
    @Excel(name = "门窗墙壁破损", height = 6, width = 20)
    private Boolean damage;

    /**
     * 屋顶、墙壁渗漏水（0 否，1 是）
     */
    @Excel(name = "屋顶、墙壁渗漏水", height = 6, width = 20)
    private Boolean waterLeakage;

    /**
     * 灭火器配置不足（0 否，1 是）
     */
    @Excel(name = "灭火器配置不足", height = 6, width = 20)
    private Boolean annihilatorInsufficientConfiguration;

    /**
     * 灭火器超期（时间）
     */
    @Excel(name = "灭火器超期（时间）", height = 6, width = 20)
    private String annihilatorOverdue;

    /**
     * 缺失门挡板（0 否，1 是）
     */
    @Excel(name = "缺失门挡板", height = 6, width = 20)
    private Boolean doorBaffle;

    /**
     * 堆放杂物（0 否，1 是）
     */
    @Excel(name = "堆放杂物", height = 6, width = 20)
    private Boolean pileUpSundries;

    /**
     * 积灰严重（0 否，1 是）
     */
    @Excel(name = "积灰严重", height = 6, width = 20)
    private Boolean seriousAshDeposition;

    /**
     * 配电房周围环境潮湿（0 否，1 是）
     */
    @Excel(name = "配电房周围环境潮湿", height = 6, width = 20)
    private Boolean aroundEnvironmentHumid;

    /**
     * 配电房周围堆放杂物（0 否，1 是）
     */
    @Excel(name = "配电房周围堆放杂物", height = 6, width = 20)
    private Boolean aroundPileUpSundries;

    /**
     * 无电工（0 否，1是）
     */
    @Excel(name = "无电工（0 否，1是）", height = 6, width = 20)
    private Boolean noElectrician;

    /**
     * 电工人数配置不足（0 否，1 是）
     */
    @Excel(name = "电工人数配置不足", height = 6, width = 20)
    private Boolean electricianLack;

    /**
     * 电工证超期（0 否，1 是）
     */
    @Excel(name = "电工证超期", height = 6, width = 20)
    private Boolean overdueElectricianCertificate;

    /**
     * 电试超期（标明电试日期）
     */
    @Excel(name = "电试超期（标明电试日期）", height = 6, width = 20)
    private String electricTestOverdue;

    /**
     * 高压柜年份
     */
    @Excel(name = "高压柜年份", height = 6, width = 20)
    private String highVoltageCabinet;

    /**
     * 变压器年份（标明出厂或投运日期）
     */
    @Excel(name = "变压器年份（标明出厂或投运日期）", height = 6, width = 20)
    private String oldEquipment;

    /**
     * 带电显示器损坏（0 否  1 是）
     */
    @Excel(name = "带电显示器损坏", height = 6, width = 20)
    private Boolean chargedDisplay;

    /**
     * 缺失照明（0 否 ，1 是）
     */
    @Excel(name = "缺失照明", height = 6, width = 20)
    private Boolean lighting;

    /**
     * 绝缘毯配置不足（0 否，1 是）
     */
    @Excel(name = "绝缘毯配置不足", height = 6, width = 20)
    private Boolean blanketInsufficientConfiguration;

    /**
     * 接地线与存放位置（0 否，1 是）
     */
    @Excel(name = "接地线与存放位置", height = 6, width = 20)
    private Boolean groundWire;

    /**
     * 模拟屏（0 否，1是）
     */
    @Excel(name = "模拟屏", height = 6, width = 20)
    private Boolean analogScreen;

    /**
     * 备注
     */
    @Excel(name = "备注", height = 6, width = 20)
    private String remarks;

}
